## org.eclipse.emf.mint.util
Class JavaTypeReference

    java.lang.Object
      org.eclipse.emf.mint.util.JavaTypeReference

All Implemented Interfaces:
  IJavaTypeReference

    public class JavaTypeReference

extends java.lang.Object
implements IJavaTypeReference

Default implementation of `IJavaTypeReference`.

Clients may instantiate or extend this class.

Constructor Summary
`JavaTypeReference(org.eclipse.jdt.core.IJavaProject context, java.lang.String typeName)` Creates an instance referring to the given Java type in the given project context.

Method Summary
`boolean` `equals(java.lang.Object obj)`
`org.eclipse.jdt.core.IJavaProject` `getContext()` Returns the Java project context.
`java.lang.String` `getTypeName()` Returns the name of the Java type.
`int` `hashCode()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JavaTypeReference

    public JavaTypeReference(org.eclipse.jdt.core.IJavaProject context,
                             java.lang.String typeName)

  Creates an instance referring to the given Java type in the given project context.

  Parameters:
    `context` - project context in which the type should be resolvable
    `typeName` - name of the Java type

Method Detail

### getContext

    public org.eclipse.jdt.core.IJavaProject getContext()

  Description copied from interface: `IJavaTypeReference`
  Returns the Java project context.

  Specified by:
    `getContext` in interface `IJavaTypeReference`
  Returns:
    Java project context

### getTypeName

    public java.lang.String getTypeName()

  Description copied from interface: `IJavaTypeReference`
  Returns the name of the Java type.

  Specified by:
    `getTypeName` in interface `IJavaTypeReference`
  Returns:
    name of the Java type

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2008 Ecliptical Software Inc. and others. All Rights Reserved.